com.pixelmed.dicom

## Class ImageLibrary.ImageLibraryEntry

- java.lang.Object
- - com.pixelmed.dicom.ImageLibrary.ImageLibraryEntry

Direct Known Subclasses:
  CrossSectionalImageLibrary.CrossSectionalImageLibraryEntry, ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry

Enclosing class:
  ImageLibrary

    public static class ImageLibrary.ImageLibraryEntry
    extends java.lang.Object

### Field Summary

Fields
`protected HierarchicalImageReference` `hierarchicalImageReference`

### Constructor Summary

Constructors
`protected` `ImageLibrary.ImageLibraryEntry()`
`` `ImageLibrary.ImageLibraryEntry(AttributeList list)`
`` `ImageLibrary.ImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem, java.util.Map<java.lang.String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)`
`` `ImageLibrary.ImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference)`

### Method Summary

Methods
`protected void` `constructImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference)`
`ContentItem` `getImageContentItem(ContentItemFactory cif, ContentItem parent)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### hierarchicalImageReference

    protected HierarchicalImageReference hierarchicalImageReference

### Constructor Detail

#### ImageLibrary.ImageLibraryEntry

    protected ImageLibrary.ImageLibraryEntry()

#### ImageLibrary.ImageLibraryEntry

    public ImageLibrary.ImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem,
                                  java.util.Map<java.lang.String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)

#### ImageLibrary.ImageLibraryEntry

    public ImageLibrary.ImageLibraryEntry(AttributeList list)

#### ImageLibrary.ImageLibraryEntry

    public ImageLibrary.ImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference)

### Method Detail

#### constructImageLibraryEntry

    protected void constructImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference)

#### getImageContentItem

    public ContentItem getImageContentItem(ContentItemFactory cif,
                                  ContentItem parent)
                                    throws DicomException

Throws:
  `DicomException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`